-- 基础信息
base_info = {
	group_id = 133209064
}

-- DEFS_MISCS
defs = {
        group_id = 133209064,
        gadget_prison_list = {64001},
        gadget_guide = {64057,64058, 64059},
        bait_list = {
                [1] = { 64053, 64054, 64055},
                [2] = { 64060, 64061, 64062
},
                [3] = { 64063, 64064, 64065
},
        },
        duration = 210,
        rampage_time = 40,
        gadget_energy =  64056,
        galleryId = 7018,
        eye_point =  64071,
}


local energy_info = {
        [1] = { time = 100, step = {-30,30},points = {64076,64077,64078, 64079, 64080, 64081}},
        --[2] = { time = 180, step = {-1,1},points = {5075,5076,5077,5078,5079,5080}},
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[64001] = { config_id = 64001, gadget_id = 70800087, pos = { x = -2569.406, y = 201.681, z = -3751.496 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 10, area_id = 11 },
	[64002] = { config_id = 64002, gadget_id = 70800077, pos = { x = -2572.850, y = 206.331, z = -3770.948 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64003] = { config_id = 64003, gadget_id = 70800077, pos = { x = -2573.079, y = 206.331, z = -3769.952 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 11 },
	[64004] = { config_id = 64004, gadget_id = 70800077, pos = { x = -2571.681, y = 211.130, z = -3783.579 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64005] = { config_id = 64005, gadget_id = 70800077, pos = { x = -2571.473, y = 211.130, z = -3784.658 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 11 },
	[64006] = { config_id = 64006, gadget_id = 70800077, pos = { x = -2591.744, y = 211.130, z = -3781.949 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 11 },
	[64007] = { config_id = 64007, gadget_id = 70800077, pos = { x = -2589.394, y = 211.130, z = -3777.687 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 10, area_id = 11 },
	[64008] = { config_id = 64008, gadget_id = 70800077, pos = { x = -2591.576, y = 211.973, z = -3780.128 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 11 },
	[64009] = { config_id = 64009, gadget_id = 70800077, pos = { x = -2583.461, y = 201.681, z = -3739.909 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 11 },
	[64010] = { config_id = 64010, gadget_id = 70800077, pos = { x = -2584.688, y = 201.681, z = -3739.965 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 11 },
	[64011] = { config_id = 64011, gadget_id = 70800077, pos = { x = -2599.812, y = 209.046, z = -3776.077 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 11 },
	[64012] = { config_id = 64012, gadget_id = 70800077, pos = { x = -2584.809, y = 218.909, z = -3814.966 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 11 },
	[64013] = { config_id = 64013, gadget_id = 70800077, pos = { x = -2597.866, y = 209.371, z = -3814.434 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 11 },
	[64014] = { config_id = 64014, gadget_id = 70800077, pos = { x = -2597.126, y = 208.528, z = -3813.072 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64015] = { config_id = 64015, gadget_id = 70800075, pos = { x = -2595.282, y = 211.357, z = -3806.546 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64016] = { config_id = 64016, gadget_id = 70800075, pos = { x = -2594.212, y = 211.130, z = -3807.964 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64017] = { config_id = 64017, gadget_id = 70800075, pos = { x = -2562.990, y = 211.080, z = -3786.116 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 11 },
	[64018] = { config_id = 64018, gadget_id = 70800075, pos = { x = -2563.773, y = 211.080, z = -3787.183 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 11 },
	[64019] = { config_id = 64019, gadget_id = 70800075, pos = { x = -2558.060, y = 201.681, z = -3754.372 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 11 },
	[64020] = { config_id = 64020, gadget_id = 70800075, pos = { x = -2559.049, y = 201.681, z = -3754.998 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 11 },
	[64021] = { config_id = 64021, gadget_id = 70800075, pos = { x = -2564.729, y = 210.877, z = -3815.351 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 11 },
	[64022] = { config_id = 64022, gadget_id = 70800075, pos = { x = -2563.601, y = 210.877, z = -3815.129 }, rot = { x = 10.000, y = 10.000, z = 0.000 }, level = 10, area_id = 11 },
	[64023] = { config_id = 64023, gadget_id = 70800075, pos = { x = -2564.549, y = 210.877, z = -3814.437 }, rot = { x = 10.000, y = 10.000, z = 0.000 }, level = 10, area_id = 11 },
	[64024] = { config_id = 64024, gadget_id = 70800075, pos = { x = -2581.143, y = 210.877, z = -3820.961 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64025] = { config_id = 64025, gadget_id = 70800075, pos = { x = -2580.403, y = 210.877, z = -3819.570 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64026] = { config_id = 64026, gadget_id = 70800075, pos = { x = -2596.407, y = 211.127, z = -3819.641 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 11 },
	[64027] = { config_id = 64027, gadget_id = 70800075, pos = { x = -2596.459, y = 211.127, z = -3818.087 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 11 },
	[64028] = { config_id = 64028, gadget_id = 70800076, pos = { x = -2607.916, y = 208.528, z = -3808.964 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64029] = { config_id = 64029, gadget_id = 70800076, pos = { x = -2607.781, y = 208.528, z = -3811.319 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 11 },
	[64030] = { config_id = 64030, gadget_id = 70800076, pos = { x = -2606.412, y = 205.347, z = -3773.297 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64031] = { config_id = 64031, gadget_id = 70800076, pos = { x = -2606.881, y = 204.998, z = -3771.530 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64032] = { config_id = 64032, gadget_id = 70800076, pos = { x = -2564.696, y = 212.577, z = -3760.614 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64033] = { config_id = 64033, gadget_id = 70800076, pos = { x = -2560.955, y = 206.340, z = -3762.596 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 11 },
	[64034] = { config_id = 64034, gadget_id = 70800076, pos = { x = -2559.048, y = 206.340, z = -3759.104 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64035] = { config_id = 64035, gadget_id = 70800076, pos = { x = -2584.594, y = 211.130, z = -3809.186 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 11 },
	[64036] = { config_id = 64036, gadget_id = 70800076, pos = { x = -2574.038, y = 210.877, z = -3815.762 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64037] = { config_id = 64037, gadget_id = 70800076, pos = { x = -2574.953, y = 214.915, z = -3822.301 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64038] = { config_id = 64038, gadget_id = 70800076, pos = { x = -2574.755, y = 214.915, z = -3824.313 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64039] = { config_id = 64039, gadget_id = 70800076, pos = { x = -2590.180, y = 215.164, z = -3778.377 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64040] = { config_id = 64040, gadget_id = 70800076, pos = { x = -2591.809, y = 214.637, z = -3780.752 }, rot = { x = 0.000, y = 0.000, z = 10.000 }, level = 10, area_id = 11 },
	[64041] = { config_id = 64041, gadget_id = 70800078, pos = { x = -2563.094, y = 210.286, z = -3778.716 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64042] = { config_id = 64042, gadget_id = 70800078, pos = { x = -2570.245, y = 210.877, z = -3798.679 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 11 },
	[64043] = { config_id = 64043, gadget_id = 70800078, pos = { x = -2569.943, y = 210.877, z = -3800.121 }, rot = { x = 0.000, y = 45.000, z = 0.000 }, level = 10, area_id = 11 },
	[64044] = { config_id = 64044, gadget_id = 70800078, pos = { x = -2569.464, y = 210.877, z = -3799.310 }, rot = { x = 0.000, y = 50.000, z = 0.000 }, level = 10, area_id = 11 },
	[64045] = { config_id = 64045, gadget_id = 70800078, pos = { x = -2572.329, y = 206.329, z = -3765.594 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64046] = { config_id = 64046, gadget_id = 70800078, pos = { x = -2572.382, y = 206.328, z = -3764.401 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64047] = { config_id = 64047, gadget_id = 70800078, pos = { x = -2572.380, y = 206.327, z = -3763.158 }, rot = { x = 0.000, y = 5.000, z = 0.000 }, level = 10, area_id = 11 },
	[64048] = { config_id = 64048, gadget_id = 70800078, pos = { x = -2585.632, y = 211.130, z = -3806.815 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64049] = { config_id = 64049, gadget_id = 70800078, pos = { x = -2586.541, y = 211.130, z = -3806.804 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 11 },
	[64050] = { config_id = 64050, gadget_id = 70800078, pos = { x = -2586.108, y = 211.130, z = -3805.771 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 11 },
	[64051] = { config_id = 64051, gadget_id = 70800078, pos = { x = -2562.624, y = 202.003, z = -3732.593 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 11 },
	[64052] = { config_id = 64052, gadget_id = 70800078, pos = { x = -2583.400, y = 211.130, z = -3818.554 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵1
	[64053] = { config_id = 64053, gadget_id = 44000107, pos = { x = -2615.624, y = 217.666, z = -3829.977 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵2
	[64054] = { config_id = 64054, gadget_id = 44000107, pos = { x = -2615.599, y = 217.666, z = -3831.750 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵3
	[64055] = { config_id = 64055, gadget_id = 44000107, pos = { x = -2615.614, y = 217.666, z = -3833.351 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 能量球随机点1
	[64056] = { config_id = 64056, gadget_id = 44000105, pos = { x = -2587.728, y = 211.130, z = -3780.079 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	-- 场景猎人引导1
	[64057] = { config_id = 64057, gadget_id = 44000106, pos = { x = -2567.486, y = 203.909, z = -3763.220 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景猎人引导1
	[64058] = { config_id = 64058, gadget_id = 44000106, pos = { x = -2568.860, y = 203.909, z = -3763.427 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景猎人引导1
	[64059] = { config_id = 64059, gadget_id = 44000106, pos = { x = -2570.114, y = 203.760, z = -3763.114 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵3
	[64060] = { config_id = 64060, gadget_id = 44000107, pos = { x = -2613.773, y = 206.791, z = -3808.014 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵3
	[64061] = { config_id = 64061, gadget_id = 44000107, pos = { x = -2613.773, y = 206.791, z = -3808.014 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵3
	[64062] = { config_id = 64062, gadget_id = 44000107, pos = { x = -2613.773, y = 206.791, z = -3808.014 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵3
	[64063] = { config_id = 64063, gadget_id = 44000107, pos = { x = -2613.773, y = 206.791, z = -3808.014 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵3
	[64064] = { config_id = 64064, gadget_id = 44000107, pos = { x = -2613.773, y = 206.791, z = -3808.014 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	-- 场景诱饵3
	[64065] = { config_id = 64065, gadget_id = 44000107, pos = { x = -2613.773, y = 206.791, z = -3808.014 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[64066] = { config_id = 64066, gadget_id = 70800066, pos = { x = -2579.017, y = 211.114, z = -3779.111 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[64067] = { config_id = 64067, gadget_id = 44000253, pos = { x = -2617.386, y = 206.832, z = -3811.871 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 11 },
	[64068] = { config_id = 64068, gadget_id = 44000253, pos = { x = -2619.056, y = 206.041, z = -3809.060 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 11 },
	[64082] = { config_id = 64082, gadget_id = 70310016, pos = { x = -2575.930, y = 206.000, z = -3774.750 }, rot = { x = 90.000, y = 8.000, z = 0.000 }, level = 1, area_id = 11 },
	[64083] = { config_id = 64083, gadget_id = 70800111, pos = { x = -2608.872, y = 208.566, z = -3819.812 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 }
}

-- 区域
regions = {
	[64070] = { config_id = 64070, shape = RegionShape.SPHERE, radius = 200, pos = { x = -2613.171, y = 217.666, z = -3830.214 }, area_id = 11 },
	[64071] = { config_id = 64071, shape = RegionShape.SPHERE, radius = 80, pos = { x = -2583.916, y = 211.257, z = -3804.219 }, area_id = 11 }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 64072, pos = { x = -2569.406, y = 201.681, z = -3751.497 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, area_id = 11 },
	{ config_id = 64073, pos = { x = -2567.486, y = 203.909, z = -3763.220 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, area_id = 11 },
	{ config_id = 64074, pos = { x = -2568.860, y = 203.909, z = -3763.427 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, area_id = 11 },
	{ config_id = 64075, pos = { x = -2570.114, y = 203.760, z = -3763.114 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 64076, pos = { x = -2608.299, y = 205.620, z = -3765.803 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 64077, pos = { x = -2559.394, y = 204.384, z = -3755.153 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 64078, pos = { x = -2569.170, y = 211.451, z = -3817.870 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 64079, pos = { x = -2576.205, y = 216.090, z = -3801.284 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 64080, pos = { x = -2601.557, y = 211.127, z = -3820.265 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 64081, pos = { x = -2590.272, y = 215.094, z = -3779.748 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 }
}

-- 变量
variables = {
}

-- 废弃数据
garbages = {
	gadgets = {
		{ config_id = 64069, gadget_id = 70310066, pos = { x = -2582.909, y = 262.134, z = -3802.908 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 }
	}
}

-- 视野组
sight_groups = {
	{ 64001, 64057, 64058, 64059, 64056 }
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 64001 },
		regions = { 64070, 64071 },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 64002, 64003, 64004, 64005, 64006, 64007, 64008, 64009, 64010, 64011, 64012, 64013, 64014, 64015, 64016, 64017, 64018, 64019, 64020, 64021, 64022, 64023, 64024, 64025, 64026, 64027, 64028, 64029, 64030, 64031, 64032, 64033, 64034, 64035, 64036, 64037, 64038, 64039, 64040, 64041, 64042, 64043, 64044, 64045, 64046, 64047, 64048, 64049, 64050, 64051, 64052 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = 预留,
		monsters = { },
		gadgets = { 64066, 64067, 64068, 64082, 64083 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = 预留,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_4/HideAndSeek_Gallery_V2"
require "V2_4/HideAndSeek_Skill_V2"
